Skip to navigation

Invite multiple remote notaries to join pool

View as Markdown

This method invites multiple remote notaries to join a pool.

Specify the names and emails of the notaries you want to invite in the fileToUpload parameter. The format is as follows:

Name,NotaryEmail
Francis Notary,francis@example.com
Luna Notary,luna@example.com

Required authentication scopes: notary_write, signature, organization_read.

Authentication

AuthorizationBearer
JWT Bearer token from DocuSign authorization server

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization's GUID.
poolIdstringRequiredformat: "uuid"
The ID of the pool.

Request

This endpoint expects a multipart form containing a file.
fileToUploadfileRequired
Bulk invite instructions CSV file

Response

Successful created response.
bulkActionIdstringOptionalformat: "uuid"
The ID of the bulk action.
bulkActionTypestring or nullOptional
The type of the bulk action.
createdByIdstringOptionalformat: "uuid"
The ID of the user who created the bulk action.
createdByNamestring or nullOptional
The name of the user who created the bulk action.
createdByEmailstring or nullOptional
The email address of the user who created the bulk action.
createdDatedatetimeOptional
The date on which the action was created.
lastUpdatedDatedatetimeOptional
The date on which the action was last updated.
statusstring or nullOptional

The status of the action. Possible values are:

  • queued
  • in_process
  • completed
  • processed_with_errors
totalItemsCountintegerOptional
Total number of items affected by the bulk action
processedItemsCountintegerOptional
Total number of items processed by the bulk action
addedItemCountintegerOptional
Total number of items added by the bulk action
updatedItemCountintegerOptional
Total number of existing items changed by the bulk action
removedItemCountintegerOptional
Total number of existing items removed by the bulk action
noActionRequiredItemCountintegerOptional
Total number of items unaffected by the bulk action
errorCountintegerOptional
Total number of errors encountered during the bulk action
warningCountintegerOptional
Total number of warnings encountered during the bulk action
errorRolluplist of objects or nullOptional
List of the errors encountered during the execution of the bulk action
hasCsvResultsbooleanOptional

True if the bulk action has results available in Comma-Separated Value (CSV) format

csvResultsUrlstring or nullOptional
URL of the results in CSV format.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error